terraform {
    backend "kubernetes" {
        secret_suffix = "state"
        config_path = "~/.kube/config"
        labels = {
            "app.kubernetes.io/managed-by": "terraform"
        }
    }
}

provider "kubernetes" {
  config_path    = "~/.kube/config"
}

module "aws-parameters-external-secrets" {
    source = "./modules/aws-parameters-external-secrets"
}

module "do_dns" {
    source = "./modules/do_dns"

    root_domain_name = "badjware.dev"
    root_domain_ip = "104.152.168.30"

    records = {
        "mail" = {
            type = "CNAME"
            value = "@"
        }
        "public" = {
            type = "CNAME"
            value = "@"
        }
        "cloud" = {
            type = "A"
            value = "159.203.54.249"
        }
        "code" = {
            type = "A"
            value = "159.203.54.249"
        }
        "drone" = {
            type = "A"
            value = "159.203.54.249"
        }
        "grafana" = {
            type = "A"
            value = "159.203.54.249"
        }
    }
}